# $Revision: 1.2 $, $Date: 2009/03/28 23:07:05 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	ExtUtils
%define	pnam	Command
Summary:	Shell::Command - Cross-platform functions emulating common shell commands
Name:		perl-ExtUtils-Command
Version:	1.16
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/ExtUtils/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1847488bc6280bcaf22f9e12062da388
URL:		http://search.cpan.org/dist/ExtUtils-Command/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thin wrapper around ExtUtils::Command. See ExtUtils::Command for a
description of available commands.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Shell
%{perl_vendorlib}/ExtUtils/*.pm
%{perl_vendorlib}/Shell/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-ExtUtils-Command.spec,v $
Revision 1.2  2009/03/28 23:07:05  areq
- add dir %{perl_vendorlib}/Shell
- rel 2

Revision 1.1  2009/03/13 10:44:28  paszczus
- initial

